| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_perfcnt.c File Reference

## Overview

This file contains routines for Performance Counter configuration.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0   Hyun    10/02/2018  Initial creation
    1.1   Hyun    10/10/2018  Use the mask write API
    1.2   Nishad  12/05/2018  Renamed ME attributes to AIE
    1.3   Tejus   10/14/2019  Remove unwanted assertions
    1.4   Dishita 11/01/2019  Fix coverity warnings

u8 | XAieTileMem_PerfCounterControl (XAieGbl_Tile *TileInstPtr, u8 Counter, u16 StartEvent, u16 StopEvent, u16 ResetEvent)
| This API sets the performance counter control for Memory module. More...
u8 | XAieTilePl_PerfCounterControl (XAieGbl_Tile *TileInstPtr, u8 Counter, u16 StartEvent, u16 StopEvent, u16 ResetEvent)
| This API sets the performance counter control for PL module. More...
u8 | XAieTileCore_PerfCounterControl (XAieGbl_Tile *TileInstPtr, u8 Counter, u16 StartEvent, u16 StopEvent, u16 ResetEvent)
| This API sets the performance counter control for Core module. More...
u32 | XAieTileMem_PerfCounterGet (XAieGbl_Tile *TileInstPtr, u8 Counter)
| This API gets the current performance counter value of Memory module. More...
u32 | XAieTilePl_PerfCounterGet (XAieGbl_Tile *TileInstPtr, u8 Counter)
| This API gets the current performance counter value of PL module. More...
u32 | XAieTileCore_PerfCounterGet (XAieGbl_Tile *TileInstPtr, u8 Counter)
| This API gets the current performance counter value of Core module. More...
u32 | XAieTileMem_PerfCounterSet (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 CounterVal)
| This API sets the current performance counter value of Memory module. More...
u32 | XAieTilePl_PerfCounterSet (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 CounterVal)
| This API sets the current performance counter value of PL module. More...
u32 | XAieTileCore_PerfCounterSet (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 CounterVal)
| This API sets the current performance counter value of Core module. More...
u32 | XAieTileMem_PerfCounterEventValue (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 EventVal)
| This API sets the current performance counter event value of Memory module. More...
u32 | XAieTilePl_PerfCounterEventValue (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 EventVal)
| This API sets the current performance counter event value of PL module. More...
u32 | XAieTileCore_PerfCounterEventValue (XAieGbl_Tile *TileInstPtr, u8 Counter, u32 EventVal)
| This API sets the current performance counter event value of Core module. More...

## Function Documentation

u8 XAieTileCore_PerfCounterControl | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u16 | StartEvent,
|  | u16 | StopEvent,
|  | u16 | ResetEvent
| ) |  |

This API sets the performance counter control for Core module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 3.
  StartEvent | - Event ID to start
  StopEvent | - Event ID to stop
  ResetEvent | - Event ID to reset

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTileCore_PerfCounterEventValue | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | EventVal
| ) |  |

This API sets the current performance counter event value of Core module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 4.
  EventVal | - Event value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounterEvent::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u32 XAieTileCore_PerfCounterGet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter
| ) |  |

This API gets the current performance counter value of Core module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 3.

Returns
  Current counter value

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u32 XAieTileCore_PerfCounterSet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | CounterVal
| ) |  |

This API sets the current performance counter value of Core module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 4.
  CounterVal | - Counter value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u8 XAieTileMem_PerfCounterControl | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u16 | StartEvent,
|  | u16 | StopEvent,
|  | u16 | ResetEvent
| ) |  |

This API sets the performance counter control for Memory module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 or 1.
  StartEvent | - Event ID to start
  StopEvent | - Event ID to stop
  ResetEvent | - Event ID to reset

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTileMem_PerfCounterEventValue | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | EventVal
| ) |  |

This API sets the current performance counter event value of Memory module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 2.
  EventVal | - Event value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounterEvent::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u32 XAieTileMem_PerfCounterGet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter
| ) |  |

This API gets the current performance counter value of Memory module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 2.

Returns
  Current counter value

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u32 XAieTileMem_PerfCounterSet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | CounterVal
| ) |  |

This API sets the current performance counter value of Memory module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 3.
  CounterVal | - Counter value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u8 XAieTilePl_PerfCounterControl | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u16 | StartEvent,
|  | u16 | StopEvent,
|  | u16 | ResetEvent
| ) |  |

This API sets the performance counter control for PL module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 or 1.
  StartEvent | - Event ID to start
  StopEvent | - Event ID to stop
  ResetEvent | - Event ID to reset

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_Tile::TileType.

u32 XAieTilePl_PerfCounterEventValue | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | EventVal
| ) |  |

This API sets the current performance counter event value of PL module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 2.
  EventVal | - Event value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounterEvent::RegOff, and XAieGbl_Tile::TileAddr.

u32 XAieTilePl_PerfCounterGet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter
| ) |  |

This API gets the current performance counter value of PL module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 2.

Returns
  Current counter value

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u32 XAieTilePl_PerfCounterSet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | Counter,
|  | u32 | CounterVal
| ) |  |

This API sets the current performance counter value of PL module.

Parameters

  TileInstPtr | - Pointer to the Tile instance.
  Counter | - Counter ID. 0 to 2.
  CounterVal | - Counter value to set

Returns
  XAIE_SUCCESS on success

Note
  None.

References XAieGbl_RegPerfCounter::RegOff, XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.